/*
 * Copyright 2010, 2012, 2014 Peter Olsson
 * 
 * This file is part of Brum Brum Rally.
 * 
 * Brum Brum Rally is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Brum Brum Rally is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "SurfaceBank.h"

static Surface* loadCars()
{
	static Surface cars[10]; // 8 normal cars + 2 ghost cars
	
	Surface carSurf("images/cars.png");
	carSurf.setColorKey(DEFAULT_COLORKEY);
	
	for (int i = 0; i < 10; i++)
	{
		cars[i] = carSurf.subSurface(0, i * 8, 7, 8);
	}
				   
	return cars;
}

const Surface& SurfaceBank::getCar(int i)
{
	static Surface* cars = loadCars();
	return cars[i];

}

static Surface* loadCarStatBackgrounds()
{
	static Surface ss[8];
	
	Surface s("images/car_stat_background.png");

	for (int i = 0; i < 8; i++)
	{
		ss[i] = s.subSurface(0, i * 16, 31, 16);
	}

	return ss;
}

const Surface& SurfaceBank::getCarStatBackground(int i)
{
	static Surface* ss = loadCarStatBackgrounds();
	return ss[i];
}
